/*
  Generation Olympia Engine - C++ Port
  Project Home: http://www.sourceforge.net/projects/qb2c/
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  $Id: render.h,v 1.6 2004/01/20 02:48:43 syn9 Exp $
*/

#ifndef INCLUDED_RENDER_HEADER
#define INCLUDED_RENDER_HEADER

void calcpoints();
void calcsteps();
void fade();
short getpoint(float nsx, float nsy, float nsz);
double getx(float a, float b);
double gety(float a, float b);
void initialize(short bits, short mode, short xsize, short ysize);
void deinit();
void sortpolys();
void Rotmatrix(float AngleX, float AngleY, float AngleZ);
void rotpnt(float px, float py, float pz, float xr, float yr, float zr, float* newx, float* newy, float* newz);
float u(float deg);
void updscreen(bool s);
short valid(short x, short y);
void win(short l, short x1, short y1, short x2, short y2);


#endif
